Get Notification Settings
curl --request GET \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/notification-settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/notification-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "notification_settings",
"slack": {
"connection_scope": "account",
"configured": true,
"connected": true,
"team": {
"id": "<string>",
"name": "<string>"
},
"channel": {
"id": "<string>",
"name": "<string>",
"is_private": true
},
"last_error": "<string>",
"last_notified_at": "2026-08-09T12:00:00.000Z",
"updated_at": "2026-08-09T12:00:00.000Z"
}
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}Slack Notifications
Get Notification Settings
Get the Account Slack connection and this Workspace channel setting.
GET
/
workspaces
/
{workspace_id}
/
notification-settings
Get Notification Settings
Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
Maximum string length:
128Path Parameters
Unique workspace ID.
Example:
"ws_01JABCDEF"
